#include "cstatusview.h"
#include "ui_cstatusview.h"

CStatusView::CStatusView(QWidget *parent) :
    CMWidget(parent),
    ui(new Ui::CStatusView)
{
    ui->setupUi(this);
    m_iTimerInterval=30;
}

CStatusView::~CStatusView()
{
    delete ui;
}


void CStatusView::MInit()
{
    ui->widget_cellZ->m_bEnbleDrawText=false;
    ui->widget_cellZ->MInit();
    ui->widget_cell->m_bEnbleDrawText=false;
    ui->widget_cell->MInit();
}

void CStatusView::resizeEvent(QResizeEvent *)
{
//    QRectF rectf=rect();
//    QRect rectf1=QRect(0,0,
//                         rectf.height(),
//                         rectf.height());
//    ui->widget_cell->setGeometry(rectf1);
//    QRect rectf2=QRect(rectf.height()+2,0,
//                         rectf.width()-rectf.height(),
//                         rectf.height());
//    ui->widget_cellZ->setGeometry(rectf2);
}

void CStatusView::MTimeFresh()
{
    ui->widget_cell->MTimeFresh();
    ui->widget_cellZ->MTimeFresh();
}
